Create a connection table
curl --request POST \
--url http://{controllerHost}:8000/api/v1/connection_tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "orders",
"connector": "kafka",
"connection_profile_id": "prof-123",
"config": {
"topic": "orders",
"read_mode": "read_uncommitted"
},
"schema": {
"format": {
"json": {}
},
"fields": [
{
"field_name": "id",
"field_type": {
"primitive": "Int64"
}
},
{
"field_name": "amount",
"field_type": {
"primitive": "Float64"
}
}
]
}
}
'import requests
url = "http://{controllerHost}:8000/api/v1/connection_tables"
payload = {
"name": "orders",
"connector": "kafka",
"connection_profile_id": "prof-123",
"config": {
"topic": "orders",
"read_mode": "read_uncommitted"
},
"schema": {
"format": { "json": {} },
"fields": [
{
"field_name": "id",
"field_type": { "primitive": "Int64" }
},
{
"field_name": "amount",
"field_type": { "primitive": "Float64" }
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'orders',
connector: 'kafka',
connection_profile_id: 'prof-123',
config: {topic: 'orders', read_mode: 'read_uncommitted'},
schema: {
format: {json: {}},
fields: [
{field_name: 'id', field_type: {primitive: 'Int64'}},
{field_name: 'amount', field_type: {primitive: 'Float64'}}
]
}
})
};
fetch('http://{controllerHost}:8000/api/v1/connection_tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8000",
CURLOPT_URL => "http://{controllerHost}:8000/api/v1/connection_tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'orders',
'connector' => 'kafka',
'connection_profile_id' => 'prof-123',
'config' => [
'topic' => 'orders',
'read_mode' => 'read_uncommitted'
],
'schema' => [
'format' => [
'json' => [
]
],
'fields' => [
[
'field_name' => 'id',
'field_type' => [
'primitive' => 'Int64'
]
],
[
'field_name' => 'amount',
'field_type' => [
'primitive' => 'Float64'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://{controllerHost}:8000/api/v1/connection_tables"
payload := strings.NewReader("{\n \"name\": \"orders\",\n \"connector\": \"kafka\",\n \"connection_profile_id\": \"prof-123\",\n \"config\": {\n \"topic\": \"orders\",\n \"read_mode\": \"read_uncommitted\"\n },\n \"schema\": {\n \"format\": {\n \"json\": {}\n },\n \"fields\": [\n {\n \"field_name\": \"id\",\n \"field_type\": {\n \"primitive\": \"Int64\"\n }\n },\n {\n \"field_name\": \"amount\",\n \"field_type\": {\n \"primitive\": \"Float64\"\n }\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://{controllerHost}:8000/api/v1/connection_tables")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"orders\",\n \"connector\": \"kafka\",\n \"connection_profile_id\": \"prof-123\",\n \"config\": {\n \"topic\": \"orders\",\n \"read_mode\": \"read_uncommitted\"\n },\n \"schema\": {\n \"format\": {\n \"json\": {}\n },\n \"fields\": [\n {\n \"field_name\": \"id\",\n \"field_type\": {\n \"primitive\": \"Int64\"\n }\n },\n {\n \"field_name\": \"amount\",\n \"field_type\": {\n \"primitive\": \"Float64\"\n }\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://{controllerHost}:8000/api/v1/connection_tables")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"orders\",\n \"connector\": \"kafka\",\n \"connection_profile_id\": \"prof-123\",\n \"config\": {\n \"topic\": \"orders\",\n \"read_mode\": \"read_uncommitted\"\n },\n \"schema\": {\n \"format\": {\n \"json\": {}\n },\n \"fields\": [\n {\n \"field_name\": \"id\",\n \"field_type\": {\n \"primitive\": \"Int64\"\n }\n },\n {\n \"field_name\": \"amount\",\n \"field_type\": {\n \"primitive\": \"Float64\"\n }\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"pub_id": "tbl-456",
"name": "orders",
"created_at": 1700000000000000,
"connector": "kafka",
"table_type": "source",
"config": {},
"schema": {},
"consumers": 1
}{
"error": "descriptive error message"
}Create a connection table
Creates a connection table.
Typed endpoints are also available for specific connectors under POST /connectors/{connector}/tables.
POST
/
connection_tables
Create a connection table
curl --request POST \
--url http://{controllerHost}:8000/api/v1/connection_tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "orders",
"connector": "kafka",
"connection_profile_id": "prof-123",
"config": {
"topic": "orders",
"read_mode": "read_uncommitted"
},
"schema": {
"format": {
"json": {}
},
"fields": [
{
"field_name": "id",
"field_type": {
"primitive": "Int64"
}
},
{
"field_name": "amount",
"field_type": {
"primitive": "Float64"
}
}
]
}
}
'import requests
url = "http://{controllerHost}:8000/api/v1/connection_tables"
payload = {
"name": "orders",
"connector": "kafka",
"connection_profile_id": "prof-123",
"config": {
"topic": "orders",
"read_mode": "read_uncommitted"
},
"schema": {
"format": { "json": {} },
"fields": [
{
"field_name": "id",
"field_type": { "primitive": "Int64" }
},
{
"field_name": "amount",
"field_type": { "primitive": "Float64" }
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'orders',
connector: 'kafka',
connection_profile_id: 'prof-123',
config: {topic: 'orders', read_mode: 'read_uncommitted'},
schema: {
format: {json: {}},
fields: [
{field_name: 'id', field_type: {primitive: 'Int64'}},
{field_name: 'amount', field_type: {primitive: 'Float64'}}
]
}
})
};
fetch('http://{controllerHost}:8000/api/v1/connection_tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8000",
CURLOPT_URL => "http://{controllerHost}:8000/api/v1/connection_tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'orders',
'connector' => 'kafka',
'connection_profile_id' => 'prof-123',
'config' => [
'topic' => 'orders',
'read_mode' => 'read_uncommitted'
],
'schema' => [
'format' => [
'json' => [
]
],
'fields' => [
[
'field_name' => 'id',
'field_type' => [
'primitive' => 'Int64'
]
],
[
'field_name' => 'amount',
'field_type' => [
'primitive' => 'Float64'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://{controllerHost}:8000/api/v1/connection_tables"
payload := strings.NewReader("{\n \"name\": \"orders\",\n \"connector\": \"kafka\",\n \"connection_profile_id\": \"prof-123\",\n \"config\": {\n \"topic\": \"orders\",\n \"read_mode\": \"read_uncommitted\"\n },\n \"schema\": {\n \"format\": {\n \"json\": {}\n },\n \"fields\": [\n {\n \"field_name\": \"id\",\n \"field_type\": {\n \"primitive\": \"Int64\"\n }\n },\n {\n \"field_name\": \"amount\",\n \"field_type\": {\n \"primitive\": \"Float64\"\n }\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://{controllerHost}:8000/api/v1/connection_tables")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"orders\",\n \"connector\": \"kafka\",\n \"connection_profile_id\": \"prof-123\",\n \"config\": {\n \"topic\": \"orders\",\n \"read_mode\": \"read_uncommitted\"\n },\n \"schema\": {\n \"format\": {\n \"json\": {}\n },\n \"fields\": [\n {\n \"field_name\": \"id\",\n \"field_type\": {\n \"primitive\": \"Int64\"\n }\n },\n {\n \"field_name\": \"amount\",\n \"field_type\": {\n \"primitive\": \"Float64\"\n }\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://{controllerHost}:8000/api/v1/connection_tables")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"orders\",\n \"connector\": \"kafka\",\n \"connection_profile_id\": \"prof-123\",\n \"config\": {\n \"topic\": \"orders\",\n \"read_mode\": \"read_uncommitted\"\n },\n \"schema\": {\n \"format\": {\n \"json\": {}\n },\n \"fields\": [\n {\n \"field_name\": \"id\",\n \"field_type\": {\n \"primitive\": \"Int64\"\n }\n },\n {\n \"field_name\": \"amount\",\n \"field_type\": {\n \"primitive\": \"Float64\"\n }\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"pub_id": "tbl-456",
"name": "orders",
"created_at": 1700000000000000,
"connector": "kafka",
"table_type": "source",
"config": {},
"schema": {},
"consumers": 1
}{
"error": "descriptive error message"
}Authorizations
Send the API token as Authorization: Bearer <token>.
Body
application/json